# Auto generated configuration file
# using: 
# Revision: 1.381.2.27 
# Source: /local/reps/CMSSW/CMSSW/Configuration/PyReleaseValidation/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/EightTeV/Hadronizer_8TeV_aMCatNLO_Herwig_cff.py --step GEN,SIM --beamspot Realistic8TeVCollision --conditions START53_V7C::All --pileup NoPileUp --datamix NODATAMIXER --eventcontent RAWSIM --datatier GEN-SIM --python_filename /afs/cern.ch/cms/CAF/CMSPHYS/PHYS_GENERATOR/prep/Summer12-20130610083240_0/config_0_1_cfg.py --fileout step1.root --no_exec -n 5 --filein file:step0.root --lazy_download
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.StandardSequences.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic8TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(5)
)

# Input source
process.source = cms.Source("PoolSource",
    secondaryFileNames = cms.untracked.vstring(),
    fileNames = cms.untracked.vstring('file:step0.root')
)

process.options = cms.untracked.PSet(

)

# Setup lazy download
process.AdaptorConfig = cms.Service("AdaptorConfig",
    cacheHint = cms.untracked.string('lazy-download'),
    enable = cms.untracked.bool(True),
    stats = cms.untracked.bool(True),
    readHint = cms.untracked.string('read-ahead-buffered')
)


# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.1 $'),
    annotation = cms.untracked.string('Showering of generic aMCatNLO events with Herwig, 8 TeV, NNPDF21'),
    name = cms.untracked.string('$Source: /local/reps/CMSSW/CMSSW/Configuration/GenProduction/python/EightTeV/Hadronizer_8TeV_aMCatNLO_Herwig_cff.py,v $')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('step1.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'START53_V7C::All', '')

process.generator = cms.EDFilter("Herwig6HadronizerFilter",
    HerwigParameters = cms.PSet(
        parameterSets = cms.vstring('herwigUEsettings', 
            'herwigMcatnlo'),
        herwigMcatnlo = cms.vstring('PTMIN      = 0.5    ! minimum pt in hadronic jet', 
            'IPROC      = -18000  ! proc should be -ve'),
        herwigUEsettings = cms.vstring('JMUEO     = 1       ! multiparton interaction model', 
            'PTJIM     = 4.189   ! 2.8x(sqrt(s)/1.8TeV)^0.27 @ 8 TeV', 
            'JMRAD(73) = 1.8     ! inverse proton radius squared', 
            'PRSOF     = 0.0     ! prob. of a soft underlying event', 
            'MAXER     = 1000000 ! max error')
    ),
    herwigVerbosity = cms.untracked.int32(0),
    ExternalDecays = cms.PSet(
        Photos = cms.untracked.PSet(

        ),
        parameterSets = cms.vstring('Photos')
    ),
    doMPInteraction = cms.bool(False),
    useJimmy = cms.bool(False),
    herwigHepMCVerbosity = cms.untracked.bool(False),
    filterEfficiency = cms.untracked.double(1.0),
    inclusiveMatching = cms.untracked.bool(True),
    doMatching = cms.untracked.bool(False),
    printCards = cms.untracked.bool(False),
    comEnergy = cms.double(8000.0),
    lhapdfSetPath = cms.untracked.string(''),
    emulatePythiaStatusCodes = cms.untracked.bool(True),
    crossSection = cms.untracked.double(0.1835),
    maxEventsToPrint = cms.untracked.int32(0),
    matchingScale = cms.untracked.double(0.0),
    nMatch = cms.untracked.int32(0)
)


# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.generator * getattr(process,path)._seq 

